package net.wanji.databus.bo;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class GreenwaveStartEndDateBO {

    @ApiModelProperty(value = "绿波ID")
    private Integer id ;

    @ApiModelProperty(value = "开始日期 yyyy-MM-dd HH:mm:ss 或者 yyyy-MM-dd")
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date startDate;

    @ApiModelProperty(value = "结束日期 yyyy-MM-dd HH:mm:ss 或者 yyyy-MM-dd")
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date endDate;
}
