package net.wanji.databus.dao.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/10/31 11:04
 */
@Data
public class GreenwaveCrossPOExt {

    @ApiModelProperty(value = "绿波路口关系ID",notes = "")
    private Integer greenwaveCrossId ;

    /** 绿波ID */
    @ApiModelProperty(value = "绿波ID",notes = "")
    private Integer greenId ;
    /** 路口ID */
    @ApiModelProperty(value = "路口ID",notes = "")
    private String crossId ;

    /** 绿波带宽（米） */
    @ApiModelProperty(name = "绿波带宽（米）",notes = "")
    private Double width ;

    /** 设计速度（km/h） */
    @ApiModelProperty(name = "设计速度（km/h）",notes = "")
    private Double designSpeed ;

    @ApiModelProperty(value = "开始时间 HH:mm")
    private String startTime;

    @ApiModelProperty(value = "结束时间 HH:mm")
    private String endTime;

    @ApiModelProperty(value = "计划名")
    private String planName;

    /** 绿波名称 */
    @ApiModelProperty(name = "绿波名称",notes = "")
    private String greenwaveName ;
}
