package net.wanji.databus.dao.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2023/08/08 18:00
 * @description 海康信号机返回校时实体
 */
@Data
@ApiModel(value = "信号机返回校时实体")
public class SignalTimePO {
    @ApiModelProperty(name = "路口编号", notes = "路口编号")
    private String crossId;
    @ApiModelProperty(name = "信号机时间", notes = "信号机时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy/MM/dd HH:mm", timezone = "GMT+8")
    private Date signalTime;
}
