package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.CrossLightsStatusHistPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author duanruiming
 * @date 2023/10/19 10:23
 */
@Repository
public interface CrossLightsStatusHistMapper {
    List<CrossLightsStatusHistPO> selectList(@Param("entity") CrossLightsStatusHistPO entity);
    List<CrossLightsStatusHistPO> selectRangeList(@Param("crossId") String crossId,
                                                  @Param("startBatchTime") Integer startBatchTime,
                                                  @Param("endBatchTime") Integer endBatchTime);

    void insertOne(@Param("entity") CrossLightsStatusHistPO entity);
}
