package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.CrossPhaseLightsPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * @author Kent HAN
 * @date 2022/11/18 14:10
 */
public interface CrossPhaseLightsMapper {

    void deleteByCrossId(@Param("crossId") String crossId);

    void insertBatch(@Param("entities") Set<CrossPhaseLightsPO> crossPhaseLightsPOSet);

    void insertBatch(@Param("entities") List<CrossPhaseLightsPO> crossPhaseLightsPOList);

    List<CrossPhaseLightsPO> selectByCrossId(String crossId);
}
