package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.CrossPhasePO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/18 10:44
 */
public interface CrossPhaseMapper {
    void deleteBatch(@Param("crossId") String crossId, @Param("schemeId") Integer schemeId);

    void insertBatch(@Param("entities") List<CrossPhasePO> crossPhasePOList);

    void insertOne(CrossPhasePO crossPhasePO);

    List<CrossPhasePO> selectByCrossIdAndPlanId(@Param("crossId") String crossId, @Param("planId") String planId);

    List<Integer> selectIdsByPhaseNo(String crossId, @Param("phaseNo") Integer phaseNo);

    List<CrossPhasePO> selectByCrossId(@Param("crossId") String crossId);

    void deleteByCrossId(String crossId);

    Integer selectPhaseId(@Param("crossId") String crossId, @Param("schemeId") Integer schemeId, @Param("phaseNo") Integer phaseNo);
}
