package net.wanji.databus.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.databus.po.CrossTurnDataRealtimePO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * @author duanruiming
 * @date 2023/03/10 21:11
 */
@Mapper
public interface CrossTurnDataRealtimeMapper extends BaseMapper<CrossTurnDataRealtimePO> {
    void insertBatch(@Param("list") List<CrossTurnDataRealtimePO> list);
    void deleteBatch(@Param("list") Collection<String> crossIds);
    List<CrossTurnDataRealtimePO> selectByCrossId(String crossId);
    CrossTurnDataRealtimePO selectByLane(String crossId, Integer key, String turn);


}
