package net.wanji.databus.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author hfx
 * @date 2023/1/12 9:15
 * @desc 路口方向
 */
@Data
public class CrossAllSchemesDTO {

    @ApiModelProperty(value = "路口ID")
    private String crossId;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "方案ID")
    private Integer schemeId;

    @ApiModelProperty(value = "计划名称")
    private String planName;

    @ApiModelProperty(value = "调度ID")
    private Integer schedulesId ;

    @ApiModelProperty(value = "星期")
    private Integer week;

    @ApiModelProperty(value = "特殊日期")
    private Date specialDate;

    @ApiModelProperty(value = "调度名称")
    private String schedulesName;
}
