package net.wanji.databus.dto;

import net.wanji.databus.entity.component.menu.ClientDevelopMenu;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.List;

@Data
public class WebPageSaveDTO implements Serializable {

    @NotBlank(message = "应用ID不能为空")
    private String appId;

    private List<ClientDevelopMenu> menuList;

    private String structure;

}
