package net.wanji.databus.event;

import net.wanji.databus.entity.integration.servicegateway.a2a.A2ARestful;
import net.wanji.common.framework.event.BaseEvent;

/**
 * @Description: a2a创建事件，网关监听此事件并处理
 * @Author
 * @Date 2020/3/22 16:45
 */
public class A2ACreateEvent extends BaseEvent<A2ARestful> {

    public A2ACreateEvent(A2ARestful a2ARestful) {
        super(a2ARestful);
    }

    public A2ACreateEvent(Object source, A2ARestful a2ARestful) {
        super(source, a2ARestful);
    }

}
