package net.wanji.databus.event;

import net.wanji.common.framework.event.BaseEvent;
import net.wanji.databus.entity.develop.servicedevelop.develop.ApiRestful;

/**
 * @Description: api 导入来源接口创建事件，用于网关监听并生成动态路由
 * @Author
 * @Date 2020/3/22 16:45
 */
public class ApiRestfulCreateEvent extends BaseEvent<ApiRestful> {

    public ApiRestfulCreateEvent(ApiRestful apiRestful) {
        super(apiRestful);
    }

    public ApiRestfulCreateEvent(Object source, ApiRestful apiRestful) {
        super(source, apiRestful);
    }

}
