package net.wanji.databus.event;

import net.wanji.common.framework.event.BaseEvent;
import net.wanji.databus.entity.integration.servicegateway.d2a.D2ATableRestful;

/**
 * @Description: d2a创建事件，网关监听此事件并处理
 * @Author
 * @Date 2020/3/22 16:45
 */
public class D2ACreateEvent extends BaseEvent<D2ATableRestful> {

    public D2ACreateEvent(D2ATableRestful d2ATableRestful) {
        super(d2ATableRestful);
    }

    public D2ACreateEvent(Object source, D2ATableRestful d2ATableRestful) {
        super(source, d2ATableRestful);
    }

}
