package net.wanji.databus.event;

import net.wanji.common.framework.event.BaseEvent;
import net.wanji.databus.entity.integration.servicegateway.m2a.M2AMail;

/**
 * @ClassName M2ACreateEvent
 * @Description m2a创建事件，网关监听此事件并处理
 * @Author wanji
 * @Date 2020/5/29 9:49
 * @Version 1.0
 */
public class M2ACreateEvent extends BaseEvent<M2AMail> {

    public M2ACreateEvent(M2AMail m2AMail) {
        super(m2AMail);
    }

    public M2ACreateEvent(Object source, M2AMail m2AMail) {
        super(source, m2AMail);
    }

}
