package net.wanji.databus.event;

import net.wanji.common.framework.event.BaseEvent;
import net.wanji.databus.entity.integration.servicegateway.a2a.WebService;

/**
 * @Description: a2a创建事件，网关监听此事件并处理
 * @Author
 * @Date 2020/3/22 16:45
 */
public class WebServiceCreateEvent extends BaseEvent<WebService> {

    public WebServiceCreateEvent(WebService webService) {
        super(webService);
    }

    public WebServiceCreateEvent(Object source, WebService webService) {
        super(source, webService);
    }

}
