package net.wanji.databus.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2023/03/10 17:27
 */
@Data
@ApiModel(value = "AreaDataRealPO", description = "区域实时数据")
public class AreaDataRealTimePO {
    @ApiModelProperty(name = "区域id",notes = "")
    private String areaId;
    @ApiModelProperty(name = "交通状态：1畅通 2缓行 3拥挤 4严重拥堵",notes = "")
    private Integer status;
    @ApiModelProperty(name = "拥堵类型 1常规 2异常",notes = "")
    private Integer type;
    @ApiModelProperty(name = "交通指数",notes = "")
    private Double trafficIndex;
    @ApiModelProperty(name = "开始时间",notes = "")
    private Date startTime;
    @ApiModelProperty(name = "持续时间",notes = "")
    private Integer duration;
    @ApiModelProperty(name = "平均速度",notes = "")
    private Double speed;
    @ApiModelProperty(name = "停车次数",notes = "")
    private Double stopTimes;
    @ApiModelProperty(name = "延误时间",notes = "")
    private Integer delayTime;
    @ApiModelProperty(name = "饱和度",notes = "")
    private Double sturation;
    @ApiModelProperty(name = "数据批次 十位日期int",notes = "")
    private Integer batchTime;
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
