package net.wanji.databus.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/15 13:41
 */
@Data
public class ManufacturerApiInfoPO {
    /** 接口ID */
    @ApiModelProperty(value = "接口ID",notes = "")
    private Integer id ;
    /** 接口代码 */
    @ApiModelProperty(value = "接口代码",notes = "")
    private String code ;
    /** 接口名称 */
    @ApiModelProperty(value = "接口名称",notes = "")
    private String name ;
    /** 接口类型：1、静态；2、动态；3、控制 */
    @ApiModelProperty(value = "接口类型：1、静态；2、动态；3、控制",notes = "")
    private Integer type ;
    /** 请求方式：GET、POST */
    @ApiModelProperty(value = "请求方式：GET、POST",notes = "")
    private String method ;
    /** 接口地址 */
    @ApiModelProperty(value = "接口地址",notes = "")
    private String address ;
    /** 厂商ID */
    @ApiModelProperty(value = "厂商ID",notes = "")
    private Integer manufacturerId ;
    /** 创建时间 */
    @ApiModelProperty(value = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(value = "修改时间",notes = "")
    private Date gmtModified ;
}
