package net.wanji.databus.provider.client.displaycenter;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.Page;
import net.wanji.databus.entity.client.displaycenter.ShareRecord;

import java.util.Map;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 20:11
 */
public interface ShareRecordProvider extends BaseDubboInterface<ShareRecord> {

    /**
     * @Description: 根据分享人、被分享人查询分享记录详情
     *
     * @param page
     * @param map
     * @return net.wanji.common.framework.rest.Page<ShareRecord>
     * @Author
     * @Date 2019/12/20 10:16
     **/
    Page<ShareRecord> getShareRecord(Page<ShareRecord> page, Map<String, Object> map) throws DubboProviderException;
}
