package net.wanji.databus.provider.client.frontdevelop;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.client.frontdevelop.WebAppPage;

import java.util.Map;

/**
 * Created by shuang.dai on 2020/11/13
 */
public interface WebAppPageProvider extends BaseDubboInterface<WebAppPage> {

    void savePage(WebAppPage webAppPage) throws DubboProviderException;

    JsonViewObject queryPage(String pageId, String appId) throws DubboProviderException;

    JsonViewObject deletePage(String pageId, String appId) throws DubboProviderException;

    JsonViewObject findPageInfo(Map map) throws DubboProviderException;
}
