package net.wanji.databus.provider.client.identityManagement;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.Page;
import net.wanji.databus.entity.client.identitymanagement.RoleBusinessAccountRlat;

import java.util.List;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/25 16:48
 */
public interface RoleBusinessAccountRlatProvider extends BaseDubboInterface<RoleBusinessAccountRlat> {

    /**
     * @Description: 根据应用id查找应用用户
     *
     * @param page
     * @return com.wanji.framework.entity.identity.BusinessAccount
     * @Author wanji
     * @Date 2020/4/17 19:30
     **/
    Page findByAppId(Page page) throws DubboProviderException;

    void batchRelateBusinessAccount(String roleId, List<String> businessAccountIds) throws Exception;

    List<String> listBusinessAccountIdsByRoleIds(List<String> roleIds);
}
