package net.wanji.databus.provider.common;


import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.common.Chunk;

/**
 * 文件上传
 * @author xinrui.li
 * @date 2020/3/22 16:26
 */
public interface UploadProvider  {

    /**
     * 上传文件分片
     * @param chunk
     * @param token
     * @return
     */
    JsonViewObject uploadChunk(Chunk chunk, String token);

    /**
     * 验证分片是否存在
     * @param chunk
     * @param token
     * @return
     */
    JsonViewObject checkChunk(Chunk chunk, String token);

}
