package net.wanji.databus.provider.component.menu;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.component.menu.ClientDevelopMenu;

import java.util.List;

/**
 * @author guohui.wang
 * @date 2020-3-17 14:57:17
 */
public interface ClientDevelopMenuProvider extends BaseDubboInterface<ClientDevelopMenu> {
    /**
     * @return net.wanji.common.framework.rest.JsonViewObject
     * @throws DubboProviderException
     * @Author wanji
     * @Description 保存页面设计器菜单
     * @Date 11:29 2020/6/2
     * @Param [params]
     */
    JsonViewObject saveWebMenu(String appId, List<ClientDevelopMenu> menuList) throws DubboProviderException;
}
