package net.wanji.databus.provider.component.webresource;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.component.webresource.ResourceGroup;

/**
 * @ClassName ComponentGroupProvider
 * @Description 页面资源组
 * @Author wanji
 * @Date 2020/5/19 15:27
 * @Version 1.0
 */
public interface ResourceGroupProvider extends BaseDubboInterface<ResourceGroup> {

    JsonViewObject findDetailAll() throws DubboProviderException;

}
