package net.wanji.databus.provider.develop.portaldevelop;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.databus.entity.develop.portaldevelop.Article;

/**
 * @Description:
 * @Author
 * @Date 2020/6/16 18:55
 */
public interface ArticleProvider extends BaseDubboInterface<Article> {

    /**
     * @Description: 文章点击或预览时，增加该文章点击数
     *
     * @param id
     * @return net.wanji.common.framework.rest.JsonViewObject
     * @Author
     * @Date 2020/6/17 10:22
     **/
    Integer increaseHints(String id) throws DubboProviderException;
}
