package net.wanji.databus.provider.develop.repo;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.develop.repo.RepoModuleParams;

import java.util.Map;

/**
 * 组件Actions参数
 *
 * @author wanji
 */
public interface RepoModuleParamsProvider extends BaseDubboInterface<RepoModuleParams> {
    /**
     * 根据 actionName 和moduleId 来查询对象
     *
     * @param name
     * @param moduleId
     * @return
     */
    RepoModuleParams findByNameAndModuleId(String name, String moduleId);

    JsonViewObject deleteByCondition(Map<String, Object> param);
}
