package net.wanji.databus.provider.develop.repo;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.develop.repo.RepoModuleType;

/**
 * 组件类别
 *
 * @author wanji
 */
public interface RepoModuleTypeProvider extends BaseDubboInterface<RepoModuleType> {
    /**
     * 分类与jar结合树左侧目录
     *
     * @return
     */
    JsonViewObject jarTree(String appId);

    JsonViewObject actionTree(String ruleCategoryId);
}
