package net.wanji.databus.provider.develop.servicedevelop.bpm;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.develop.servicedevelop.bpm.processmanager.BpmVar;

import java.util.List;

/*
 * @Description:
 *
 * @param null
 * @return
 * @Author wanji
 * @Date 2020/3/16 13:39
 **/
public interface BpmVarProvider extends BaseDubboInterface<BpmVar> {

    /*
     * @Description: 消息过滤项批量保存，先根据绑定workflowId删除，再添加，解决前台保存更新批量操作的问题

     *
     * @param bpmVar
     * @return net.wanji.common.framework.rest.JsonViewObject
     * @Author wanji
     * @Date 2020/3/17 14:54
     **/
    JsonViewObject batchSave(List<BpmVar> bpmVars) throws DubboProviderException;
}
