package net.wanji.databus.provider.develop.servicedevelop.develop;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.develop.servicedevelop.develop.PluginParam;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/3/16 19:01
 */
public interface PluginParamProvider extends BaseDubboInterface<PluginParam> {

    /**
     * 由服务id和插件id删除插件
     *
     * @param pluginId
     * @return
     * @throws DubboProviderException
     */
    JsonViewObject deletePlugin(String pluginId) throws DubboProviderException;
}
