package net.wanji.databus.provider.identity.identity;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.databus.entity.identity.identity.BusinessAccountGroup;

import java.util.List;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 18:45
 **/
public interface BusinessAccountGroupProvider extends BaseDubboInterface<BusinessAccountGroup> {

    List<BusinessAccountGroup> listBusinessAccountGroupsByAppId(String appId,String keyword) throws DubboProviderException;

    List listBusinessAccountsByGroupIdAndStationId(String businessAccountGroupId, String stationId,String keyword) throws Exception;
}
