package net.wanji.databus.provider.integration.messagecenter;

import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.integration.messagecenter.MessageHistory;

/**
 * @Description:
 */
public interface MessageHistoryProvider {
    /**
     * @param messageId 消息的id
     * @Description: 审计中心模块下消息记录中操作详情 (根据消息的id，通过消息配置表关联用户表给前端返回用户的id，用户的姓名，用户的未读已读的状态)
     **/
    JsonViewObject queryUserByMessageId(String messageId);

    JsonViewObject queryMessageRecord(MessageHistory messageHistory);
}
