package net.wanji.databus.provider.integration.messagecenter;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.integration.messagecenter.MessageTopic;

/**
 * @Description:dubbo中消息主题提供者接口
 * @Author wanji
 * @Date 2019/11/28 11:43
 */
public interface MessageTopicProvider extends BaseDubboInterface<MessageTopic> {
    /**
     * 查询已绑定上行下行主题的所有系统，并返回主题及业务key详情。
     *
     * @return List<Map>
     * @Author guohui.wang
     * @date 2020-3-9 19:15:42
     */
    JsonViewObject getHasBindAppInfo();
}
