package net.wanji.databus.provider.integration.servicegateway.gatewayaccess;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.databus.entity.integration.servicegateway.gatewayaccess.AuthorityAppGateway;

import java.util.List;

/**
 * @author guohui.wang
 * @date 2020/3/17 10:44
 */
public interface AuthorityAppGatewayProvider extends BaseDubboInterface<AuthorityAppGateway> {
    /**
     * 编辑授权
     * @author guohui.wang
     * @date 2020-3-17 18:45:55
     * @param authorityAppGateway
     * @throws DubboProviderException
     */
    void alertAuthorize(AuthorityAppGateway authorityAppGateway) throws DubboProviderException;

    void batchRelateGateways(String identityId, List<String> gatewayIds) throws Exception;
}
