package net.wanji.databus.provider.monitor.statistics;

import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.monitor.statistics.ActiveUserChartParam;

public interface ActiveUserProvider {

    /**
     * @param activeUserChartParam
     * @Description: 分页获取指定时间段内活跃用户详细数据
     **/
    JsonViewObject getActiveUserData(ActiveUserChartParam activeUserChartParam);

    /**
     * @param activeUserChartParam
     * @Description: 获取指定时间段内活跃用户图表数据
     **/
    JsonViewObject getActiveUserChart(ActiveUserChartParam activeUserChartParam);
}
