package net.wanji.databus.provider.monitor.statistics;

import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.common.framework.rest.Page;
import net.wanji.databus.entity.monitor.statistics.UserTrends;
import net.wanji.databus.entity.monitor.statistics.UserTrendsChartParam;

public interface UserTrendsProvider {

    /**
     * @param pageParam
     * @Description: 实时获取用户趋势的详细数据
     **/
    JsonViewObject getUserTrendsData(Page<UserTrends> pageParam);

    /**
     * @param userTrendsChartParam
     * @Description: 实时获取用户趋势的图表数据
     **/
    JsonViewObject getUserTrendsChart(UserTrendsChartParam userTrendsChartParam);
}
