package net.wanji.databus.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author duanruiming
 * @date 2022/12/29 12:58
 */
@Data
@ApiModel(value = "CrossDeviceStatusInfoOutVO", description = "查询路口设备状态返回参数")
public class CrossDeviceStatusInfoOutVO {
    @ApiModelProperty(value = "路口编号")
    private String crossId;

    @ApiModelProperty(value = "路口名称")
    private String crossName;

    @ApiModelProperty(value = "经纬度")
    private String location;

    @ApiModelProperty(value = "设备状态：0离线 1在线 2故障")
    private int status;

    @ApiModelProperty(value = "故障状态：0正常")
    private int faultType;
}
