package net.wanji.databus.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import net.wanji.databus.po.CrossDirDataRealtimePO;

/**
 * 交通指标 - 方向级vo
 *
 */
@Data
@ApiModel(value = "CrossDirDataHistVO", description = "路口转向实时数据历史")
public class CrossDirDataHistVO extends CrossDirDataRealtimePO {
    public double trafficFlowC;
    public double trafficFlowB;
    public double trafficFlowA;

    //非机动车流量

    //行人数量

    //平均车头时距

    //拥堵指数

    //溢出指数

    //失衡指数

}
