package net.wanji.databus.vo;

import lombok.Data;

import java.util.HashMap;

@Data
public class SignalLampStatus {
    //信号机编号
    private String signalId;
    //运行模式
    private Integer runmodel;
    //方案号
    private String planId;
    //周期
    private Integer cycleLen;
    //当前步
    private Integer stepNo;
    //周期剩余时长
    private Integer cycleCountDown;
    //相位号
    private String phaseId;
    //当前步已走时间
    private Integer stepGoneTime;
    //方向灯组状态
    private HashMap<String, HashMap<String, String>> dirLampGroupMap;
    //存放当前方案每个相位的时长
    HashMap<String, Integer> phaseMap;
    //记录灯态变更时间
    Long updateTime = Long.valueOf(0);


    /**
     * 信号机厂商编号
     */
    private String signalType;

    /**
     * 当前步长
     */
    private Integer stepLen;
    /**
     * 当前步剩余时长
     */
    private Integer stepSurplusTime;

    /**
     * 相位内步号
     */
    private Integer stepNum;
}