package net.wanji.databus.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "SignalRunring", description = "信号机运行环数实体")
public class SignalRunring {
    //绿灯1
    @ApiModelProperty(value = "绿灯1时长")
    private Integer oneTime;
    //绿灯2
    @ApiModelProperty(value = "绿灯2时长")
    private Integer twoTime;
    //绿灯3
    @ApiModelProperty(value = "绿灯3时长")
    private Integer threeTime;
    //黄灯4
    @ApiModelProperty(value = "黄灯4时长")
    private Integer fourTime;
    //红灯5
    @ApiModelProperty(value = "红灯5时长")
    private Integer fiveTime;
    //环号
    @ApiModelProperty(value = "环号")
    private String runringNo;
    //当前相位编号
    @ApiModelProperty(value = "当前相位编号")
    private String phaseId;
    //相位时长
    @ApiModelProperty(value = "相位时长")
    private Integer phaseLen;
    //相位剩余时长
    @ApiModelProperty(value = "相位剩余时长")
    private Integer phaseLeft;
    //当前步号
    @ApiModelProperty(value = "当前步号")
    private Integer stepNo;
    //当前步类型
    @ApiModelProperty(value = "当前步类型")
    private Integer stepType;
    //当前步长
    @ApiModelProperty(value = "当前步长")
    private Integer stepLen;
    //当前步剩余时间
    @ApiModelProperty(value = "当前步剩余时间")
    private Integer stepLeft;
    //下一相位id
    @ApiModelProperty(value = "下一相位id")
    private String nextPhaseId;
    //相位顺序号
    @ApiModelProperty(value = "相位顺序号")
    private Integer phaseOrderId;
    //当前灯色
    @ApiModelProperty(value = "当前灯色")
    private Integer lampStatus;
    //当前说明
//    11	灭灯
//    21	红灯
//    22	黄灯
//    23	绿灯
//    31	红黄
    @ApiModelProperty(value = "当前灯色")
    private String lampStatusName;
}