package net.wanji.databus.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/11/9 17:21
 */
@Data
@ApiModel(value = "AreaDetailBO")
public class AreaDetailBO {
    @ApiModelProperty(value = "页码", required = true)
    private Integer pageNum;
    @ApiModelProperty(value = "每页记录条数", required = true)
    private Integer pageSize;
    @ApiModelProperty( value = "区域ID", required = true)
    private Integer areaId ;

    @ApiModelProperty(value = "路口名称")
    private String crossName;
    @ApiModelProperty(value = "是否信控路口：1是；0否")
    private Integer isSignal;
    @ApiModelProperty(value = "控制模式：1定周期；2绿波协调；3黄闪；4全红；5关灯；6单点自适应；7全感应；8半感应；9行人过街")
    private Integer controlMode;
    @ApiModelProperty(value = "是否启动优化：1是；0否")
    private Integer isStart;
    @ApiModelProperty(value = "是否下发方案：1是；0否")
    private Integer isSend;
}
