package net.wanji.databus.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 方案管理-路口配置-获取路口方向列表输入参数
 *
 * @author Kent HAN
 * @date 2022/12/20 10:17
 */
@Data
public class CrossIdAndSchemeIdBO {
    @ApiModelProperty(value = "路口ID", required = true)
    @NotNull(message = "路口ID不可为空")
    private String crossId;

    @ApiModelProperty(value = "方案ID", required = true)
    private Integer schemeId;
}
