package net.wanji.databus.dao.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/18 15:52
 */
@Data
public class BaseCrossPlanPO {
    /** 计划ID */
    @ApiModelProperty(value = "计划ID",notes = "")
    private Integer id ;
    /** 计划号 */
    @ApiModelProperty(value = "计划号",notes = "")
    private String planNo ;
    /** 计划名称 */
    @ApiModelProperty(value = "计划名称",notes = "")
    private String name ;
    /** 路口ID */
    @ApiModelProperty(value = "路口ID",notes = "")
    private String crossId ;
    /** 创建时间 */
    @ApiModelProperty(value = "创建时间",notes = "")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(value = "修改时间",notes = "")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtModified ;
}
