package net.wanji.databus.dao.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/18 14:32
 */
@Data
public class CrossPhaseLightsPO {
    /** 主键 */
    @ApiModelProperty(name = "主键",notes = "")
    private Integer id ;
    /** 灯组ID */
    @ApiModelProperty(name = "灯组ID",notes = "")
    private Integer lightsId ;
    /** 相位ID */
    @ApiModelProperty(name = "相位ID",notes = "")
    private Integer phaseId ;
    /** 路口ID */
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtModified ;
}
