package net.wanji.databus.dao.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class GreenwaveInfoPO {
    /** 绿波ID */
    @ApiModelProperty(name = "绿波ID",notes = "")
    private Integer id ;
    /** 绿波名称 */
    @ApiModelProperty(name = "绿波名称",notes = "")
    private String name ;
    /** 绿波路段长度（米） */
    @ApiModelProperty(name = "绿波路段长度（米）",notes = "")
    private Double length ;
    /** 绿波带宽（米） */
    @ApiModelProperty(name = "绿波带宽（米）",notes = "")
    private Double width ;
    /** 协调方向：0正向；1反向；2双向 */
    @ApiModelProperty(name = "协调方向：0正向；1反向；2双向",notes = "")
    private Integer dir ;
    /** 开始时间 */
    @ApiModelProperty(name = "开始时间",notes = "")
    private Date startTime ;
    /** 结束时间 */
    @ApiModelProperty(name = "结束时间",notes = "")
    private Date endTime ;
    /** 设计速度（km/h） */
    @ApiModelProperty(name = "设计速度（km/h）",notes = "")
    private Double designSpeed ;
    /** 设计周期（秒） */
    @ApiModelProperty(name = "设计周期（秒）",notes = "")
    private Double designCycly ;
    /** 时段ID */
    @ApiModelProperty(name = "时段ID",notes = "")
    private Integer sectionId ;
    /** 协调方式：0未开启；1相位差优化；2选择方案 */
    @ApiModelProperty(name = "协调方式：0未开启；1相位差优化；2选择方案",notes = "")
    private Integer status ;
    /** 区域边界 */
    @ApiModelProperty(name = "区域边界",notes = "")
    private String wkt ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
