package net.wanji.databus.dao.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author duanruiming
 * @date 2023/08/09 8:36
 */
@Data
@ApiModel(value = "信号机设置校时实体")
public class SetTimingPO {
    @ApiModelProperty(name = "0-不启用校时, 1-不启用校时", notes = "")
    private Integer turnOffOn;
    @ApiModelProperty(name = "0-系统时间校时, 1-NTP校时", notes = "")
    private String systemAdjustime;
    @ApiModelProperty(name = "systemAdjustime=1, NTP校时地址", notes = "")
    private String ntpInfo;
    @ApiModelProperty(name = "校时时间间隔（分钟）", notes = "")
    private Integer intervalTime;
    @ApiModelProperty(name = "0-时间间隔校时，1-立即校时", notes = "")
    private Integer timingImmediate;
}
