package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.CrossSchedulesPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/18 18:58
 */
public interface CrossSchedulesMapper {
    void deleteByCrossId(@Param("crossId") String crossId);

    void insertBatch(@Param("entities") List<CrossSchedulesPO> crossSchedulesPOList);

    List<CrossSchedulesPO> selectByCrossIds(@Param("crossIds") List<String> crossIdList);
}
