package net.wanji.databus.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hfx
 * @date 2023/1/12 9:15
 * @desc 路口方向
 */
@Data
public class CrossDirInfoDTO {

    @ApiModelProperty(name = "路口方向ID",notes = "")
    private String crossDirId;

    @ApiModelProperty(name = "路口方向类型：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer dirType;

    @ApiModelProperty(name = "进出口类型：1进口；2出口",notes = "")
    private Integer inOutType;

    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId;

}
