package net.wanji.databus.dto.statistical;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel(value = "路网统计请求")
public class StatisticalDTO {

    @ApiModelProperty(value = "行政区划", required = true)
    private String adCode;

    @ApiModelProperty(value = "统计数据表达式列表", required = true)
    private List<LayersDTO> layers;

    public String getAdCode() {
        return adCode;
    }

    public void setAdCode(String adCode) {
        this.adCode = adCode;
    }

    public List<LayersDTO> getLayers() {
        return layers;
    }

    public void setLayers(List<LayersDTO> layers) {
        this.layers = layers;
    }
}
