package net.wanji.databus.event;

import net.wanji.common.framework.event.BaseEvent;
import net.wanji.databus.entity.develop.servicedevelop.develop.Restful;

/**
 * @Description: 服务编排、业务接口创建事件，网关监听此事件并处理
 * @Author
 * @Date 2020/3/22 16:45
 */
public class RestfulCreateEvent extends BaseEvent<Restful> {

    public RestfulCreateEvent(Restful restful) {
        super(restful);
    }

    public RestfulCreateEvent(Object source, Restful restful) {
        super(source, restful);
    }

}
