package net.wanji.databus.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2023/03/10 17:27
 */
@Data
@ApiModel(value = "BaseAreaInfoPO", description = "区域基础信息")
public class BaseAreaInfoPO {
    /** 主键 */
    @ApiModelProperty(value = "主键",notes = "")
    private Integer id ;
    /** 行政区划代码 */
    @ApiModelProperty(value = "行政区划代码",notes = "")
    private Integer code ;
    /** 区域名称 */
    @ApiModelProperty(value = "区域名称",notes = "")
    private String name ;

    @ApiModelProperty(value = "道路名称",notes = "")
    private String roadName;
    /** 区划类型：1行政区划；2交警辖区；3商圈；4交通小区；5热点区域；6道路 */
    @ApiModelProperty(value = "区划类型：1行政区划；2交警辖区；3商圈；4交通小区；5热点区域；6道路",notes = "")
    private Integer type ;
    /** 父节点 */
    @ApiModelProperty(value = "父节点",notes = "")
    private Integer parentCode ;
    /** 区域中心点 */
    @ApiModelProperty(value = "区域中心点",notes = "")
    private String location ;
    /** 区域边界 */
    @ApiModelProperty(value = "区域边界",notes = "")
    private String polylines ;
    /** 备注 */
    @ApiModelProperty(value = "备注",notes = "")
    private String remark ;
    /** 创建时间 */
    @ApiModelProperty(value = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(value = "修改时间",notes = "")
    private Date gmtModified ;
}
