package net.wanji.databus.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/12/29 9:17
 */
@Data
public class CrossLaneLightsPO {
    /** 主键 */
    @ApiModelProperty(name = "主键",notes = "")
    private Integer id ;
    /** 灯组ID */
    @ApiModelProperty(name = "灯组ID",notes = "")
    private Integer lightsId = 0 ;
    /** 车道ID */
    @ApiModelProperty(name = "车道ID",notes = "")
    private String laneId ;
    /** 路口ID */
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
