package net.wanji.databus.po;

import lombok.Data;
import net.wanji.databus.dao.entity.*;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

/**
 * @author duanruiming
 * @date 2024/01/22 9:32
 */
@Data
public class SaveToUtcPO implements Serializable {
    @NotEmpty
    private List<BaseCrossLightsPO> lightsPOS;
    @NotEmpty
    private List<CrossPhasePO> phasePOS;
    @NotEmpty
    private List<CrossPhaseLightsPO> phaseLightsPOS;
    @NotEmpty
    private List<BaseCrossPlanPO> planPOS;
    @NotEmpty
    private List<BaseCrossSchemePO> schemePOS;
    @NotEmpty
    private List<CrossSectionPO> sectionPOS;
    @NotEmpty
    private List<CrossSchedulesPO> schedulesPOS;
}
