package net.wanji.databus.provider.develop.servicedevelop.appmanage;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.databus.entity.develop.servicedevelop.appmanage.AppTag;

import java.util.List;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/3/16 18:25
 */
public interface AppTagProvider extends BaseDubboInterface<AppTag> {

    List<String> listTagsByAppId(String appId) throws DubboProviderException;

    void rollbackWebpage(AppTag appTag) throws DubboProviderException;

    /**
     * @Author wanji
     * @Description
     * @Date 8:59 2020/8/5
     * @Param [appId, name]
     * @return void
     * @throws
     */
    void deleteTagByAppId(String appId, String name);
}
