package net.wanji.databus.provider.develop.servicedevelop.datamanage;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.develop.servicedevelop.datamanage.DataDictionaryContent;

import java.io.File;
import java.util.List;
import java.util.Map;

public interface DataDictionaryContentProvider extends BaseDubboInterface<DataDictionaryContent> {
    JsonViewObject selectDataDictionaryTree(DataDictionaryContent dataDictionaryContent);

    JsonViewObject importContent(List<Map<String, Object>> maps, String saveType);

    JsonViewObject exportContent(File tempFile, String ids);

    JsonViewObject selectDataDictionaryOneTree(DataDictionaryContent dataDictionaryContent);
}
