package net.wanji.databus.provider.develop.servicedevelop.develop;

import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.develop.servicedevelop.develop.Restful;

import java.util.Map;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/3/16 19:25
 */
public interface WorkflowProvider {

    /**
     * 运行工作流程
     *
     * @param restful
     * @param paramMap
     * @return
     * @throws DubboProviderException
     */
    JsonViewObject runWorkFlow(Restful restful, Map<String, Object> paramMap);
}
