package net.wanji.databus.provider.develop.servicedevelop.rule;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.develop.servicedevelop.rule.RuleScript;

import java.util.Map;

/**
 * 规则脚本
 */
public interface RuleScriptProvider extends BaseDubboInterface<RuleScript> {
    /**
     * 编译并发布规则脚本
     *
     * @param id
     * @return String
     */
    JsonViewObject buildAndRelease(String id);

    JsonViewObject releaseScript(RuleScript ruleScript);

    JsonViewObject execute(String id, Map<String, Object> param);
}
