package net.wanji.databus.provider.identity.identity;

import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.databus.entity.identity.identity.AccessSystem;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/4/17 13:06
 */
public interface AccessSystemProvider extends BaseDubboInterface<AccessSystem> {

    List getAuthResourceList(String clientId) throws DubboProviderException;

    void authorizeResource(Map<String, Object> params) throws DubboProviderException;
}
