package net.wanji.databus.provider.identity.identity;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.common.framework.rest.Node;
import net.wanji.databus.entity.identity.identity.BusinessAccountGroupRlat;

import java.util.List;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 18:45
 **/
public interface BusinessAccountGroupRlatProvider extends BaseDubboInterface<BusinessAccountGroupRlat> {
    /**
     * @Author wanji
     * @Description 批量导入业务账号
     * @Date 9:38 2020/7/31
     * @Param [appId, businessAccountIds]
     * @return net.wanji.common.framework.rest.JsonViewObject
     * @throws
     */
    JsonViewObject batchImport(String businessAccountGroupId, List<BusinessAccountGroupRlat> businessAccountGroupRlats) throws DubboProviderException;

    List<Node> getBusinessAccountCatalog(String businessAccountGroupId) throws DubboProviderException;
}
