package net.wanji.databus.provider.integration.messagecenter;

import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.integration.messagecenter.MessageConsumeHistory;

import java.util.List;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 19:10
 **/
public interface MessageConsumeHistoryProvider {
    /**
     * @param messageList 消息记录id集合
     * @Description: 消息批量标记为已读
     * @Author
     * @Date 2019/12/18 16:10
     **/
    JsonViewObject batchReadMessage(List<MessageConsumeHistory> messageList);

    JsonViewObject findApplicationListByAccountId(String accountId);
}
