package net.wanji.databus.provider.integration.messagecenter;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.common.framework.rest.Page;
import net.wanji.databus.entity.integration.messagecenter.MessageFilterItem;

import java.util.List;

/**
 * @Description: 消息过滤配置项提供者
 * @Author
 * @Date 2019/12/03 19:10
 **/
public interface MessageFilterItemProvider extends BaseDubboInterface<MessageFilterItem> {

    /**
     * 根据ids查询filterItem集合
     *
     * @param ids
     * @return
     */
    List<MessageFilterItem> findByIds(List<String> ids);

    JsonViewObject listImportFilterItem(Page<MessageFilterItem> page);
}
