package net.wanji.databus.provider.integration.messagecenter;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.integration.messagecenter.MessageFilter;

/**
 * @Description:消息过滤提供者
 * @Author wanji
 * @Date 2019/11/27 19:10
 **/
public interface MessageFilterProvider extends BaseDubboInterface<MessageFilter> {

    /**
     * @param messageFilter
     * @Description: 分页查询过滤记录
     **/
    JsonViewObject queryMessageFilterRecord(MessageFilter messageFilter);
}
