package net.wanji.databus.provider.integration.servicegateway.a2a;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.integration.servicegateway.a2a.WebService;

/**
 * Created by wanji on 2019/5/21.
 */
public interface WebServiceProvider extends BaseDubboInterface<WebService> {
    JsonViewObject findWebserviceByWsdl(String systemId);

    JsonViewObject importWebservice(String systemId, String operationName);

    WebService queryVersion(String key) throws DubboProviderException;

    WebService findByKeyAndVersion(String key, String version);
}
