package net.wanji.databus.provider.integration.servicegateway.m2a;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.integration.servicegateway.m2a.M2AMail;

/**
 * @ClassName M2AMailProvider
 * @Description
 * @Author wanji
 * @Date 2020/5/29 9:49
 * @Version 1.0
 */
public interface M2AMailProvider extends BaseDubboInterface<M2AMail> {
    /**
     * @return net.wanji.common.framework.rest.JsonViewObject
     * @throws
     * @Author wanji
     * @Description 发送邮件接口
     * @Date 12:17 2020/5/29
     * @Param [m2AMail]
     */
    JsonViewObject emailSend(M2AMail m2AMail);
}
