package net.wanji.databus.provider.manage.systemsetting;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.databus.entity.identity.identity.User;
import net.wanji.databus.entity.manage.systemsetting.SysUser;

/**
 * @author shun.yin
 * @date 2020/3/16
 */
public interface SysUserProvider extends BaseDubboInterface<SysUser> {

    /**
     * 通过用户名查询用户信息
     *
     * @param username
     * @return
     * @throws DubboProviderException
     */
    User findByUsername(String username) throws DubboProviderException;
}
