package net.wanji.databus.provider.monitor.statistics;

import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.monitor.statistics.RegionalUserChartParam;

public interface RegionalUserProvider {

    /**
     * @param regionalUserChartParam
     * @Description: 分页获取指定时间段内用户地域分布详细数据
     **/
    JsonViewObject getRegionalData(RegionalUserChartParam regionalUserChartParam);

    /**
     * @param regionalUserChartParam
     * @Description: 获取指定时间段内用户地域分布图表数据
     **/
    JsonViewObject getRegionalChart(RegionalUserChartParam regionalUserChartParam);

}
