package net.wanji.databus.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

/**
 * @author Kent HAN
 * @date 2022/11/15 10:14
 */
@Data
@ApiModel(value = "BaseCrossInfo", description = "查询信号路口基础信息输出参数")
public class BaseCrossInfo {
    @ApiModelProperty(value = "信号机ID")
    private String code;

    @ApiModelProperty(value = "路口ID")
    @Field(type = FieldType.Keyword, name = "crossId")
    private String crossId;

    @ApiModelProperty(value = "厂商代码")
    private String manufacturerCode;
}
