package net.wanji.databus.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/6/9 13:52
 */
@Data
@ApiModel(value = "AreaInfoVO", description = "区域信息")
public class OptAreaInfoVO {
    @ApiModelProperty(value = "区域ID")
    private Integer areaId;

    @ApiModelProperty(value = "区域名称", required = true)
    private String areaName;

    @ApiModelProperty(value = "路口数组", required = true)
    private List<OptCrossIdAndNameVO> crossInfos;

    @ApiModelProperty(value = "道路区域坐标线")
    private String ployLines;

    @ApiModelProperty(value = "其他区域坐标线")
    private List<String> wktList;

}
